For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all service requests
        • GETGet a service request by ID
        • GETGet all service request categories
        • GETGet service request category by ID
        • POSTCreate Service Request: ResMan
        • PUTUpdate Service Request: ResMan
        • POSTCreate Service Request History: ResMan - Not Supported
        • POSTCreate Service Request Files: ResMan
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
ResManService Requests

Create Service Request Files: ResMan

POST
/v1/service-requests/resman/:service_request_id/file-upload/
POST
/v1/service-requests/resman/:service_request_id/file-upload/
$curl -X POST https://api.propexo.com/v1/service-requests/resman/service_request_id/file-upload/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "integration_id": "resman-integration-987654321",
> "attachments": [
> {
> "file_data": "VGhpcyBpcyBhIHRlc3QgZG9jdW1lbnQgY29udGVudC4=",
> "file_name": "inspection_report.pdf",
> "mime_type": "application/pdf"
> }
> ]
>}'
1{
2 "meta": {
3 "job_id": "job-20240615-123456"
4 },
5 "result": {
6 "integration_id": "resman-integration-987654321",
7 "service_request_id": "sr-20240615-00123",
8 "attachments": [
9 {
10 "file_name": "inspection_report.pdf",
11 "mime_type": "application/pdf",
12 "file_data": "VGhpcyBpcyBhIHRlc3QgZG9jdW1lbnQgY29udGVudC4="
13 }
14 ]
15 }
16}
Create Service Request Files: ResMan | Interface | Method | |---|---| | Documents | /Documents/Attach | <Note title="Notice">Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.</Note>
Was this page helpful?
Previous

Get all concessions

Next
Built with

Create Service Request Files: ResMan

InterfaceMethod
Documents/Documents/Attach
Notice
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

service_request_idstringRequired
The Propexo unique identifier for the service request

Request

This endpoint expects an object.
integration_idstringRequired
The Propexo unique identifier for the integration
attachmentslist of objectsRequired
The files to be uploaded to the service request. All the files can have a maximum combined file size of 50 MB

Response

Successful response
metaobject
resultobject

Errors

400
Bad Request Error